<?php

class tc_event_description_ticket_element extends TC_Ticket_Template_Elements {

	var $element_name		 = 'tc_event_description_ticket_element';
	var $element_title		 = 'Event Description';
	var $font_awesome_icon	 = '<i class="fa fa-server"></i>';

	function on_creation() {
		$this->element_title = apply_filters( 'tc_event_description_ticket_element_title', __( 'Event Description', 'tc' ) );
	}

	function ticket_content( $ticket_instance_id = false, $ticket_type_id = false ) {
		if ( $ticket_instance_id ) {
			$ticket_instance = new TC_Ticket( (int) $ticket_instance_id );
			$ticket			 = new TC_Ticket();
			$event_id		 = $ticket->get_ticket_event( apply_filters( 'tc_ticket_type_id', $ticket_instance->details->ticket_type_id ) );
			$event_description	 = get_page($event_id); 
                        $event_description = $event_description->post_content;
			
                        return $event_description;
		} 
	}

}

tc_register_template_element( 'tc_event_description_ticket_element', __( 'Event Description', 'tc' ) );
